Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.custom
Class CustomShadowVariableDemand

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.custom.CustomShadowVariableDemand

All Implemented Interfaces:
  Serializable, Demand<SingletonInverseVariableSupply>

    public class CustomShadowVariableDemand

extends Object
implements Demand<SingletonInverseVariableSupply>, Serializable

Unlike other `Demand`s, a custom demand isn't equalized based on its sources, but based on its target. Therefore a custom shadow variable cannot be reused by build-in systems.

See Also:
  Serialized Form

Constructor Summary
`CustomShadowVariableDemand(CustomShadowVariableDescriptor targetShadowVariableDescriptor)`

Method Summary
`SingletonInverseVariableSupply` | `createExternalizedSupply(InnerScoreDirector scoreDirector)` Only called if the domain model doesn't already support the demand (through a shadow variable usually).
`boolean` | `equals(Object o)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomShadowVariableDemand

    public CustomShadowVariableDemand(CustomShadowVariableDescriptor targetShadowVariableDescriptor)

Method Detail

### createExternalizedSupply

    public SingletonInverseVariableSupply createExternalizedSupply(InnerScoreDirector scoreDirector)

  Description copied from interface: `Demand`
  Only called if the domain model doesn't already support the demand (through a shadow variable usually). Equal demands share the same `Supply`.

  Specified by:
    `createExternalizedSupply` in interface `Demand<SingletonInverseVariableSupply>`
  Parameters:
    `scoreDirector` - never null
  Returns:
    never null

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.